html {
    display: flex;
    align-items: stretch;
    height: 100%;
    font-size:16px;
    font-family:Calibri;
}

body {
    margin: 0px;
    width: 100%;
    display: grid;
    align-items: center;
    justify-content: center;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#606c88+0,3f4c6b+100;Grey+3D+%232 */
    background: rgb(96,108,136); /* Old browsers #606c88 */
    background: radial-gradient(ellipse at center, rgba(96,108,136,1) 0%,rgba(63,76,107,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */

    grid-template-rows: [row0] 50px [row1] 250px [row2] auto;
}

textarea {
    font-size: inherit;
    border-radius: 5px;
}

.authenticate-btn {
    font-size: 2em;
    border: lightgray 1px solid;
    border-radius: 5px;
    background-color: lightgray;
    padding: 2px 5px 0px 5px;
    max-height: 1.15em;
    cursor: pointer;
}

.authenticate-container {
    display:flex;
    flex-direction:column;
    align-items:flex-end;
    font-size:2em;
}

.dot {
    height: 45px;
    width: 45px;
    border-radius: 50%;
    display: inline-block;
}

.dot-ok {
    background-color: limegreen;
}

.dot-send {
    background-color:yellow;
}

.dot-err {
    background-color:red;
}

/* larger screens */
@media only screen and (min-width: 768px) {
    .authenticate-container {
        font-size: inherit;
    }

    .dot {
        height: 25px;
        width: 25px;
    }
}